package com.marvinelsen.crossstraits.api

import com.marvinelsen.crossstraits.internal.CsvCrossStraitsParser
import java.io.InputStream

interface CrossStraitsParser {
    fun parse(inputStream: InputStream): List<CrossStraitsEntry>

    companion object {
        val instance: CrossStraitsParser by lazy { CsvCrossStraitsParser() }
    }
}
